#ifndef ArduinoLightSensor_h
#define ArduinoLightSensor_h

#include <Arduino.h>

//brief Class for Light Sensor K3-K6

class ArduinoLightSensor
{
  public:
      //initializing pincofiguration
	  const uint8_t LightSensorDigitalPin = 2;			
      const uint8_t LightSensorAnalogPin = A0;
      const uint8_t LEDPWMPin = 9;
	  int sensorValue = 0;
	  int outputValue = 0;
	  int lightSensorScaleLow = 300;
	  int lightSensorScaleHigh = 700;		
	public:
		ArduinoLightSensor();
		void TurnLEDOn();
		void TurnLEDOff();
		void WritePWMLED(uint8_t PWMValue);
		bool LightSensorOn(); 
		uint8_t ReadLightSensorValue();
		
};

#endif
