#include "ArduinoLightSensor.h"

// These constants won't change.  They're used to give names
// to the pins used:

ArduinoLightSensor ThisArduino;

void setup() {
  // initialize serial communications at 9600 bps:
  Serial.begin(9600);
  ThisArduino.TurnLEDOn();
  delay(2000);
  ThisArduino.TurnLEDOff();
}

void loop() {
  ThisArduino.WritePWMLED(ThisArduino.ReadLightSensorValue());
  

  // print the results to the serial monitor:
  Serial.print("sensor = ");
  Serial.print(ThisArduino.sensorValue);
  Serial.print("\t output = ");
  Serial.println(ThisArduino.outputValue);


}
